Go Job Hunting at the LQ Job Marketplace
Go Back > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Slackware This Forum is for the discussion of Slackware Linux.


  Search this Thread
Old 12-13-2012, 04:02 PM   #1
Registered: Jan 2005
Location: Istanbul, Turkey
Distribution: Slackware 14.1, Slackware64 14.1
Posts: 939

Rep: Reputation: 98
"--build" option to configure causes error in wxwidgets detection

Hi all,

I'm using Slackware 64 14.0 on my office computer. This is a system upgraded from 13.37. I need to use the wxwidgets-based "wxt" terminal in gnuplot. The official gnuplot Slackware package does not support it, as wxwidgets is not included in the distribution. I built and installed wxGTK from, then tried to recompile gnuplot using the official Slackbuild.

As far as I remember I didn't have trouble doing this in 13.37, but this time the configure script failed to detect wxGTK. The reason turned out to be the configure option

(which, in my case, reads "x86_64-slackware-linux", of course). I can't get configure to detect wxGTK unless I remove this option.

Could those who know the internals of these things enlighten me about what's going on in here? As I said, something appears to have changed in 14.0, as I remember doing the very same thing without such an issue. Could this be a problem with the wxwidgets scipts?
Old 12-14-2012, 12:12 AM   #2
Amigo developer
Registered: Dec 2003
Location: Germany
Distribution: Slackware
Posts: 4,805

Rep: Reputation: 489Reputation: 489Reputation: 489Reputation: 489Reputation: 489
The '--build' option is superfluous, so simply leave it out.
Old 12-14-2012, 02:13 AM   #3
Registered: Jan 2005
Location: Istanbul, Turkey
Distribution: Slackware 14.1, Slackware64 14.1
Posts: 939

Original Poster
Rep: Reputation: 98
That was my impression, too, but I just wanted to understand why using it creates an error (and why this didn't happen before).


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
php "enable-sigchild" configure option. MadMaverick9 Slackware 2 07-15-2012 09:03 AM
unpredictable "delete" "move to trash" or "cut" file menu option dorianrenato Linux - General 3 11-28-2011 06:41 PM
Trying to build APT: "configure: error: cannot run /bin/bash buildlib/config.sub" Kenny_Strawn Ubuntu 6 08-29-2010 05:06 PM
"dpkg error in --configure" in most all (508) programs after "apt-get dist-upgrade" fluffymuffins Debian 3 08-09-2010 03:47 AM
perl install error: Can't locate object method "new" via package "Module::Build::Vers powah Linux - Software 0 10-24-2006 01:57 PM

All times are GMT -5. The time now is 11:33 AM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration